<?php
$cal = [];
foreach (glob("$Page$Args/2*") as $url) {
	$parts = pathinfo($url);
	@list ($date, $suffix) = explode('.', $parts['filename'], 2);
	$cal[$date][ $suffix ? '' : @$parts['extension'] ] =
		preg_replace('/\.html$/', '', $url);
}

print '<ul';
if (count($cal) > 5) print ' class="cols"';
print ">\n";
foreach (array_reverse($cal) as $title => $versions) {
	print '<li>';
	if ($url = @$versions['html']) {
		printf('<a href="/%s">%s</a>', $url, $title);
	}
	elseif (implode('', array_keys($versions))) {
		list ($format, $url) = each($versions);
		include_once('format.inc.php');
		printf('%s (<a href="/%s">%sB %s</a>)',
			$title, $url, showsize(filesize($url)), $format
		);
	}
	else {
		print $title;
	}
	print "\n";
}
print "</ul>\n\n";

